Get all resource reports
curl --request GET \
--url https://api.vantage.sh/v2/resource_reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/resource_reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/resource_reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/resource_reports",
"first": "https://api.vantage.sh/v2/resource_reports?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/resource_reports?page=1",
"prev": null
},
"resource_reports": [
{
"token": "prvdr_rsrc_rprt_955ad21703b22099",
"title": "Resource Report 1274a351",
"filter": "(resources.provider = 'aws')",
"created_at": "2025-08-14T19:13:30Z",
"workspace_token": "wrkspc_490ea5f144c3896c",
"user_token": null,
"created_by_token": null,
"columns": [
"provider",
"label",
"accrued_costs",
"recommendation_savings",
"resource",
"type",
"region",
"account"
]
}
]
}ResourceReports
Get all resource reports
Return all ResourceReports.
GET
/
resource_reports
Get all resource reports
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The number of results to return. The maximum is 1000.
⌘I